#include <GL/glut.h>
#include "GameObj.h"
#include "GameObjTimed.h"
#include "Triangle.h"
#include "Bonus.h"


Bonus::Bonus(char *filename ="data/bonus.raw",char *texturename="data/p.png"){
	ttl=20000;
	M.Open(filename);
	M.Normalize();
	if(texturename)
		{
			M.SetTexture(texturename);
			M.SetMapMode(Mesh::CYLINDRICAL);
		}
  M.Smooth();
	B.r=3;
}

/** 
*/
int Bonus::Draw()
{
	glPushMatrix();
	glTranslate(p);
	glRotatef(angle,axis.x(),axis.y(),axis.z());
			glScalef(7,7,7);
			glColor3f(1,1,1);
			int nt=M.DrawDL();
			glPopMatrix();
			return nt;
		}